import { get, put, post, deletes } from '@/http/index'

// 查询故障所需耗材列表
export const getFaultConsumable = async (data) => {
  return await get('/als/faultConsumable/list', data)
}

// 新增故障所需耗材
export const addFaultConsumable = async (data) => {
  return await post('/als/faultConsumable', data)
}

// 修改故障所需耗材
export const updateFaultConsumable = async (data) => {
  return await put('/als/faultConsumable', data)
}

// 删除故障所需耗材
export const removeFaultConsumable = async (id) => {
  return await deletes('/als/faultConsumable/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
